#ifndef __COMPLEX2_H__
#define __COMPLEX2_H__

class Complex2
{
public:

  /* Default constructor. */
  Complex2();
  
  /* Constructor creating a real number. */
  Complex2(double real);
  
  /* Constructor creating a full complex number. */
  Complex2(double real, double imag);

  /* Destructor. */
  ~Complex2(void);

  /* Returns the real component. */
  double getReal();

  /* Returns the imaginary component. */
  double getImag();

  /* Returns the number of instantiated complex numbers. */
  static int getCount();

  /* Adds another complex number to this number. */
  Complex2& add(const Complex2 &c);

  /* An example showing what happens when we skip the reference in argument. */
  Complex2& add2(const Complex2 c);


private:
  /* Holds the real component. */
  double _real;

  /* Holds the imaginary component. */
  double _imag;

  /** Counter indicating the number of instantiated complex numbers. */
  static int _count;
};

#endif
