#include "Complex3.h"


Complex3::Complex3() : _real(0.0), _imag(0.0)
{ }

Complex3::Complex3(double real): _real(real), _imag(0.0)
{ }

Complex3::Complex3(double real, double imag): _real(real), _imag(imag)
{ }

Complex3::~Complex3(void)
{ }

double Complex3::getReal() const
{
  return _real;
}

double Complex3::getImag() const
{
  return _imag;
}

Complex3& Complex3::operator=(const Complex3 &c)
{
  _real=c._real;
  _imag=c._imag;
}

Complex3& Complex3::operator+=(const Complex3 &c)
{
  _real+=c._real;
  _imag+=c._imag;
}

Complex3 operator+(const Complex3 &c1, const Complex3 &c2)
{
  return Complex3(c1.getReal()+c2.getReal(), c1.getImag()+c2.getImag()); 
}

std::ostream& operator<<(std::ostream& out, const Complex3 &c)
{
  out << "Real:" << c.getReal() << " Imag:" << c.getImag();
}
