#ifndef __COMPLEX3_H__
#define __COMPLEX3_H__

#include<ostream>

class Complex3
{
public:

  /* Default constructor. */
  Complex3();
  
  /* Constructor creating a real number. */
  Complex3(double real);
  
  /* Constructor creating a full complex number. */
  Complex3(double real, double imag);

  /* Destructor. */
  ~Complex3(void);

  /* Returns the real component. */
  double getReal() const;

  /* Returns the imaginary component. */
  double getImag() const;

  /* Sets this complex number to a value of anoter number. */
  Complex3& operator=(const Complex3 &c);

  /* Adds another complex number to this number. */
  Complex3& operator+=(const Complex3 &c);

private:
  /* Holds the real component. */
  double _real;

  /* Holds the imaginary component. */
  double _imag;
};


/* Adds two complex numbers. */
Complex3 operator+(const Complex3 &c1, const Complex3 &c2);

/** Prints the complex number to the screen. */
std::ostream& operator<<(std::ostream& out, const Complex3 &c);  

#endif
